---
title: CSSStyleDeclaration.item()
slug: Web/API/CSSStyleDeclaration/item
tags:
  - API
  - CSSOM
  - Method
  - Reference
---
<p>{{ APIRef("CSSOM") }}</p>

<p id="Summary"><span class="seoSummary">The <code>CSSStyleDeclaration.item()</code> method interface returns a CSS property name from a {{domxref('CSSStyleDeclaration')}} by index</span>. This method doesn't throw exceptions as long as you provide arguments; the empty string is returned if the index is out of range and a <code>TypeError</code> is thrown if no argument is provided.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <em>propertyName</em> = <em>style</em>.item(<em>index</em>);
</pre>

<h3 id="Parameters">Parameters</h3>

<ul>
 <li><em><code>index</code></em> is the index of the node to be fetched. The index is zero-based.</li>
</ul>

<h3 id="Return_value">Return value</h3>

<ul>
 <li><em><code>propertyName</code></em> is a {{domxref('DOMString')}} that is the name of the CSS property at the specified index.</li>
</ul>

<p>JavaScript has a special simpler syntax for obtaining an item from a NodeList by index:</p>

<pre class="syntaxbox notranslate">var propertyName = style[index];
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js notranslate">var style = document.getElementById('div1').style;
var propertyName = style.item(1); // or style[1] - returns the second style listed</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSSOM', '#dom-cssstyledeclaration-item', 'CSSStyleDeclaration.item()')}}</td>
   <td>{{Spec2('CSSOM')}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 Style', 'css.html#CSS-CSSStyleDeclaration', 'CSSStyleDeclaration')}}</td>
   <td>{{Spec2('DOM2 Style')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CSSStyleDeclaration.item")}}</p>
